Class | WSDL::SOAP::ClassDefCreator
In: | wsdl/soap/classDefCreator.rb
Parent: | Object

### Methods

dump new

### Included Modules

ClassDefCreatorSupport

### Constants

DEFAULT_ITEM_NAME | = | XSD::QName.new(nil, 'item')

### Public Class methods

new(definitions)

[Source]

    # File wsdl/soap/classDefCreator.rb, line 21
      def initialize(definitions)
        @elements = definitions.collect_elements
        @simpletypes = definitions.collect_simpletypes
        @complextypes = definitions.collect_complextypes
        @faulttypes = nil
        if definitions.respond_to?(:collect_faulttypes)
          @faulttypes = definitions.collect_faulttypes
        end
      end

### Public Instance methods

dump(type = nil)

[Source]

    # File wsdl/soap/classDefCreator.rb, line 31
      def dump(type = nil)
        result = "require 'xsd/qname'\n"
        if type
          result = dump_classdef(type.name, type)
        else
          str = dump_element
          unless str.empty?
            result << "\n" unless result.empty?
            result << str
          end
          str = dump_complextype
          unless str.empty?
            result << "\n" unless result.empty?
            result << str
          end
          str = dump_simpletype
          unless str.empty?
            result << "\n" unless result.empty?
            result << str
          end
        end
        result
      end

[Validate]